#!/usr/bin/env python
#
# envoy1.py
# A simple example of using the envoy module to run commands easily
#
# For more info:
# https://github.com/kennethreitz/envoy

import envoy

if __name__ == '__main__':

    # Straight from the 'bc' man page; how to calculate pi
    cmd = 'echo "scale=10; 4*a(1)" | bc -l'
    result = envoy.run(cmd)

    print "Status code =", result.status_code
    print "    std_out =", result.std_out.rstrip()
    print "    std_err =", result.std_err.rstrip()

    if result.status_code == 0:
        pi = float(result.std_out.strip())
        print "pi =", pi
    else:
        print "pi was undefined :("


