#!/usr/bin/env python
#
# exception1.py
# Examples of handling exceptions


try:
    div_zero = 1/0
except ZeroDivisionError as err:
    print "Caught a divide by zero error:", err

data = [0,1,2,3,4,5]
try:
    print data[99]
except IndexError as err:
    print "Caught:", err
finally:
    print "Finally printed this okay"

import subprocess
try:
    result = subprocess.call(["dirt",])    # mean
except OSError as err:
    print "subprocess error:", err

try:
    div_again = 1967/0
except Exception as err:
    print "Catching almost any error:", err

try:
    f = open('does_not_exist.txt')
    f.close()
except:
    print "We are now catching any error"
