#!/usr/bin/env python
#
# subprocess2.py
# An example of using the subprocess module to get the output of a command
#
# For more info:
# http://docs.python.org/library/subprocess.html

import subprocess

if __name__ == '__main__':

    result = subprocess.check_output(["tail", "-20", "/var/log/syslog"])
    print "Called tail /var/log/syslog; result:"
    print result
    
    # Note:
    # Need to be careful if extending this to ensure we don't lose the output
    # of stderr and that process errors are gracefully caught as exceptions

