#!/usr/bin/env python
#
# uniq1.py
# Process input from stdin

import sys
from pprint import pprint
from uniqsort import uniqsort

    
# ------------------------------------------------------------------------------

if __name__ == '__main__':

    # This is not a very Pythonic way to do this, but let's start here...
    data = []
    for line in sys.stdin.readlines():
        stripped = line.rstrip()        # Take the newline character off
        data.append(stripped)
    unique_data = uniqsort(data)
    pprint(unique_data)


    # The two lines below are the same as the code above:
    #
    # data = [line.rstrip() for line in sys.stdin.readlines()]
    # pprint(uniqsort(data))
