#!/usr/bin/env python
#
# uniq2.py
# Can read from stdin or from a file specified on the command line

import sys
from pprint import pprint
from uniqsort import uniqsort

    
# ------------------------------------------------------------------------------

if __name__ == '__main__':

    # We can read from the filename specified on the command line, but not
    # multiple files; that's less than ideal, but it's a start 
    if len(sys.argv) == 2:
        f = open(sys.argv[1])
    else:
        f = sys.stdin

    data = [line.rstrip() for line in f.readlines()]
    pprint(uniqsort(data))

    f.close()

